Name:           openalchemist
Version:        0.4
Release:        12%{?dist}
Summary:        Reflection game
Group:          Amusements/Games
License:        GPLv2+ and CC-BY-SA
URL:            http://www.openalchemist.com

#Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-src.tar.gz
# There's no tarball for version 0.4, it is only tagged in the repository
# svn export https://openalchemist.svn.sourceforge.net/svnroot/openalchemist/tags/0.4 openalchemist-0.4-src
Source0:        %{name}-%{version}-src.tar.gz
Patch0:         openalchemist-0.4-cl23.patch

BuildRequires:  ClanLib-devel >= 2.3
BuildRequires:  zip
BuildRequires:  desktop-file-utils
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  freetype-devel
BuildRequires:  fontconfig-devel
BuildRequires:  libtool
Requires:       hicolor-icon-theme
Requires:       pygtk2


%description
OpenAlchemist is a new reflection game which looks like classic falling block
games but where you can take your time. Be a crazy alchemist and try to make
new objects from those you get from the sky.


%prep
%setup -q -n openalchemist-%{version}-src
%patch0 -p1 -z .cl23
autoreconf -f -i


%build
%configure
make %{?_smp_mflags} V=1


%install
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/openalchemist/{CODE-LICENSE,GRAPHICS-LICENSE}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps
install -p -m 644 data/logo_svg.svg \
    $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/scalable/apps/openalchemist.svg
mv .desktop openalchemist.desktop
desktop-file-install --dir=$RPM_BUILD_ROOT%{_datadir}/applications openalchemist.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc AUTHORS ChangeLog CODE-LICENSE GRAPHICS-LICENSE README TODO
%{_bindir}/openalchemist
%{_bindir}/openalchemist-config
%{_datadir}/openalchemist
%{_datadir}/icons/hicolor/scalable/apps/openalchemist.svg
%{_datadir}/applications/*openalchemist.desktop


%changelog
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 30 2013 Jon Ciesla <limburgher@gmail.com> - 0.4-11
- Drop desktop vendor tag.

* Sun Mar 31 2013 Peter Robinson <pbrobinson@fedoraproject.org> 0.4-10
- ClanLib is now available on secondary arches

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 21 2013 Adam Tkac <atkac redhat com> - 0.4-8
- rebuild due to "jpeg8-ABI" feature drop

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 0.4-7
- rebuild against new libjpeg

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-5
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec 11 2011 Hans de Goede <hdegoede@redhat.com> 0.4-4
- Rebuild for ClanLib-2.3.4
- Better (high res) icon

* Thu Jun 09 2011 Karsten Hopp <karsten@redhat.com> 0.4-3
- exclusivearch x86 x86_64, requirement clanGDI not available on other archs

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun May 23 2010 Xavier Bachelot <xavier@bachelot.org> 0.4-1
- Update to 0.4 :
  - Use ClanLib 2.
  - Add music and sounds.
  - New menus system, more extensible.
  - New menus (more options available from within the game).
  - Fix score calculation.
  - Fix numerous memory leaks.
  - Redefine new and delete operators, to trace memory allocations.
  - Change Coding Style.
  - Add loading screen.
  - Add a desktop file.
  - Split Board::detect_to_destroy() fonction.
  - Better synchronisation (game runs at the same speed everywhere).

* Thu Nov 19 2009 Xavier Bachelot <xavier@bachelot.org> 0.3-8
- BR: ClanLib1-devel instead of ClanLib-devel (RHBZ#538870).

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 18 2009 Xavier Bachelot <xavier@bachelot.org> 0.3-6
- Rebuild for ClanLib 1.0.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 23 2008 Xavier Bachelot <xavier@bachelot.org> 0.3-4
- Modify Description: tag.
- Modify Summary: tag again.

* Thu Oct 16 2008 Xavier Bachelot <xavier@bachelot.org> 0.3-3
- Modify Summary: tag.
- Add graphics license to License: tag.
- Add Requires: pygtk2.
- Update desktop file.
- Remove duplicate license files.

* Tue Oct 14 2008 Xavier Bachelot <xavier@bachelot.org> 0.3-2
- Add a desktop file and icon.

* Mon Oct 13 2008 Xavier Bachelot <xavier@bachelot.org> 0.3-1
- Initial build.
